SCP(1)

NOM
scp - Copie de fichier sécurisée à l’aide d’OpenSSH

SYNOPSIS
scp [-346ABCOpqRrsTv] [-c algorithme_chiffrement] [-D chemin_serveur_sftp] [-F configuration_ssh] [-i fichier_identité] [-J destination] [-l limite] [-o option_ssh] [-P port] [-S programme] [-X option_sftp] source ... cible

DESCRIPTION
scp copie des fichiers entre des hôtes sur un réseau.

scp utilise le protocole SFTP sur une connexion ssh(1) pour le transfert de données, et utilise la même authentification et fournit la même sécurité qu’une session de connexion.

scp demandera des mots de passe ou des phrases de passe si l’authentification le nécessite.

source et cible peuvent être spécifiées sous la forme d’un nom de chemin local, d’un hôte distant avec chemin optionnel de la forme [utilisateur@]hôte:[chemin], ou d’un URI de la forme scp://[utilisateur@]hôte[:port][/chemin]. Les noms de fichier locaux peuvent être rendus explicites en utilisant des noms de chemin absolus ou relatifs pour éviter que scp ne traite les noms de fichier contenant des « : » comme des noms d’hôte.

Lors d’une copie entre deux hôtes distants et si le format URI est utilisé, il n’est pas possible de spécifier un port sur la cible si l’option -R est utilisée.

Les options sont les suivantes :

-3  Cette option permet de spécifier que les copies entre deux hôtes distants doivent s’effectuer au travers de l’hôte local. Si elle n’est pas utilisée, les données sont copiées directement d’un hôte distant à l’autre. Notez que lorsqu’on utilise le protocole SCP patrimonial (à l’aide de l’option -O), cette option sélectionne le mode « traitement par lot » (batch) pour le deuxième hôte, car scp ne peut pas demander de mots de passe ou de phrases de passe pour les deux hôtes. Ce mode est le mode par défaut.

-4  Forcer scp à n’utiliser que des adresses IPv4.

-6  Forcer scp à n’utiliser que des adresses IPv6.

-A  Autoriser la redirection de ssh-agent(1) vers le système distant. Par défaut, la redirection d’un agent d’authentification n’est pas autorisée.

-B  Sélectionner le mode « traitement par lot » qui évite d’avoir à fournir des mots de passe ou des phrases de passe.

-C  Activer la compression. Pour ce faire, cette option passe le drapeau -C à ssh(1).

-c algorithme_chiffrement
    Cette option permet de sélectionner l’algorithme de chiffrement à utiliser pour chiffrer le transfert de données. Elle est passée directement à ssh(1).

-D chemin_serveur_sftp
    Cette option permet de spécifier un programme serveur SFTP local auquel se connecter directement plutôt qu’un serveur distant à l’aide de ssh(1). Elle peut s’avérer utile pour déboguer le client et le serveur.

-F configuration_ssh
    Cette option permet de spécifier un fichier de configuration par utilisateur en remplacement de ssh. Elle est passée directement à ssh(1).

-i fichier_identité
    Cette option permet de sélectionner le fichier à partir duquel l’identité (la clé privée) sera lue pour l'authentification par clé publique. Elle est passée directement à ssh(1).

-J destination
    Se connecter à l’hôte cible en établissant tout d’abord une connexion scp vers la machine de saut indiquée par destination, puis en effectuant une redirection TCP vers la destination finale depuis la machine de saut. Il est possible de spécifier plusieurs sauts successifs en les séparant par des virgules. Cette option est un raccourci pour définir une directive de configuration ProxyJump. Cette option est passée directement à ssh(1).

-l limite
    Cette option permet de limiter la bande passante utilisée en spécifiant sa valeur maximale en kbit/s.

-O  Utiliser le protocole SCP patrimonial pour les transferts de fichier à la place du protocole SFTP. Forcer l’utilisation du protocole SCP peut s’avérer nécessaire pour les serveurs qui n’implémentent pas SFTP, pour la rétro-compatibilité de motifs génériques de noms de fichier particuliers et pour le développement de chemins possédant le préfixe « ~ » sur les vieux serveurs SFTP.

-o option_ssh
    Cette option permet de passer des options à ssh dans le format utilisé pour ssh_config(5). Elle s’avère utile pour spécifier des options pour lesquelles il n'y a pas d’option équivalente en ligne de commande propre à scp. Pour tous les détails à propos des options listées ci-dessous et leurs valeurs possibles, voir ssh_config(5).

    AddressFamily
    BatchMode
    BindAddress
    BindInterface
    CanonicalDomains
    CanonicalizeFallbackLocal
    CanonicalizeHostname
    CanonicalizeMaxDots
    CanonicalizePermittedCNAMEs
    CASignatureAlgorithms
    CertificateFile
    CheckHostIP
    Ciphers
    Compression
    ConnectionAttempts
    ConnectTimeout
    ControlMaster
    ControlPath
    ControlPersist
    GlobalKnownHostsFile
    GSSAPIAuthentication
    GSSAPIDelegateCredentials
    HashKnownHosts
    Host
    HostbasedAcceptedAlgorithms
    HostbasedAuthentication
    HostKeyAlgorithms
    HostKeyAlias
    Hostname
    IdentitiesOnly
    IdentityAgent
    IdentityFile
    IPQoS
    KbdInteractiveAuthentication
    KbdInteractiveDevices
    KexAlgorithms
    KnownHostsCommand
    LogLevel
    MACs
    NoHostAuthenticationForLocalhost
    NumberOfPasswordPrompts
    PasswordAuthentication
    PKCS11Provider
    Port
    PreferredAuthentications
    ProxyCommand
    ProxyJump
    PubkeyAcceptedAlgorithms
    PubkeyAuthentication
    RekeyLimit
    RequiredRSASize
    SendEnv
    ServerAliveInterval
    ServerAliveCountMax
    SetEnv
    StrictHostKeyChecking
    TCPKeepAlive
    UpdateHostKeys
    User
    UserKnownHostsFile
    VerifyHostKeyDNS

-P port
    Cette option permet de spécifier le port auquel se connecter sur l’hôte distant. Notez que cette option est écrite en capitale, car l'option -p est déjà réservée pour la conservation des dates et des permissions (ou modes) du fichier.

-p  Conserver les dates de modification et d'accès, ainsi que les permissions (ou modes) du fichier source.

-q  Mode silencieux : la barre de progression ainsi que les messages d’avertissement et de diagnostic en provenance de ssh(1) sont désactivés.

-R  Les copies entre deux hôtes distants sont effectuées en se connectant à l’hôte source et en exécutant scp depuis ce dernier. Cela implique que le processus scp exécuté sur l’hôte source doit pouvoir s’authentifier auprès de l’hôte destination sans nécessiter de mot de passe.

-r  Copier récursivement des répertoires entiers. Notez que scp suit les liens symboliques rencontrés lors du parcours de l’arborescence des répertoires.

-S programme
    Cette option permet de spécifier le nom du programme à utiliser pour la connexion chiffrée. Ce programme doit prendre en charge les options de ssh(1).

-T  Désactiver la vérification stricte des noms de fichier. Par défaut, lors d’une copie de fichiers depuis un hôte distant vers un répertoire local, scp vérifie que les noms des fichiers reçus correspondent à ceux de la ligne de commande afin d’empêcher l’hôte distant d’envoyer des fichiers non voulus. Ces vérifications peuvent cependant provoquer le rejet de fichiers voulus à cause des différences entre les manières dont les interpréteurs de commande et les systèmes d’exploitation interprètent les caractères génériques dans les noms de fichier. Cette option désactive ces vérifications au prix de devoir faire totalement confiance au serveur pour qu’il n’envoie pas de fichiers non voulus.

-v  Mode prolixe. scp et ssh(1) affichent des messages de débogage à propos de leur exécution. Cette option s’avère utile pour le débogage des problèmes de connexion, d'authentification et de configuration.

-X option_sftp
    Cette option permet de spécifier une option qui contrôle certains aspects du comportement du protocole SFTP. Les options disponibles sont :

    nrequests=valeur
        Cette option permet de définir le nombre de requêtes SFTP de lecture ou d’écriture qui peuvent être traitées simultanément au cours d’un téléchargement ou d’un téléversement. Par défaut, 64 requêtes peuvent être traitées simultanément.

    buffer=valeur
        Cette option permet de définir la taille maximale du tampon utilisé lors d’un téléchargement ou d’un téléversement pour une seule opération SFTP de lecture/écriture. La valeur par défaut est de 32 ko.

CODE DE RETOUR
scp renvoie 0 en cas de succès et une valeur supérieure à 0 en cas d’erreur.

VOIR AUSSI
sftp(1), ssh(1), ssh-add(1), ssh-agent(1), ssh-keygen(1), ssh_config(5), sftp-server(8), sshd(8)

HISTORIQUE
scp est basé sur le programme rcp du code source de BSD par les « Regents of the University of California ».

Depuis la version 9.0 d’OpenSSH, scp utilise par défaut le protocole SFTP pour les transferts.

AUTEURS
Timo Rinne <tri@iki.fi> Tatu Ylonen <ylo@cs.hut.fi>

AVERTISSEMENTS
Le protocole patrimonial SCP (sélectionné à l’aide du drapeau -O) nécessite l’exécution de l’interpréteur de commande de l’utilisateur distant pour effectuer des correspondances de motifs glob(3). Cela nécessite de protéger avec soin tout caractère possédant une signification particulière pour l’interpréteur de commande distant, comme les guillemets.

TRADUCTION
La traduction française de cette page de manuel a été créée par Laurent GAUTROT <l dot gautrot at free dot fr> et Lucien Gentis <lucien.gentis@waika9.com>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3: https://www.gnu.org/licenses/gpl-3.0.html concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.